locked
.net compact framework 3.5 cold boot RRS feed

  • Question

  • On Cold Boot Compactframework 3.5 files get deleted from windows directory. If i add the CompactFramework3.5.cab to the startup directory of the device(diskonchip) then on cold boot installation of CF3.5 succeeds. But my 3.5 framework App still complains that the latest framework not installed. I have to then install CF3.5 using ActiveSync which is not feasible. Any bright ideas? Thanks 
    • Moved by YiChun Chen Friday, July 10, 2009 9:55 AM .NET CF issue (From:.NET Framework Setup)
    Thursday, July 9, 2009 5:57 AM

Answers

  • My device wanted NETCFv35.wce.armv4.cab and I have been installing the wrong NETCFv35.wce.x86.cab file. It is quite strange that my device did not complain.I only realized this when I tried to run NetCFCfg.exe from the X86 folder and it complained and I had to use ARMV4.My guess is that Active Sync picks up the device info and sends it the right cab file. If it was not for the NetCFCfg.exe I wouldn't have figured this one out.
    • Marked as answer by warrentang Monday, July 13, 2009 7:16 AM
    Thursday, July 9, 2009 9:23 AM

All replies

  • My device wanted NETCFv35.wce.armv4.cab and I have been installing the wrong NETCFv35.wce.x86.cab file. It is quite strange that my device did not complain.I only realized this when I tried to run NetCFCfg.exe from the X86 folder and it complained and I had to use ARMV4.My guess is that Active Sync picks up the device info and sends it the right cab file. If it was not for the NetCFCfg.exe I wouldn't have figured this one out.
    • Marked as answer by warrentang Monday, July 13, 2009 7:16 AM
    Thursday, July 9, 2009 9:23 AM
  • Hi Gkt10,

    I am moving this thread from Base ".Net Framework Setup" forum to the ".NET Compact Framework" forum, since the issue is related to .NET Compact Framework. There are more experts in the ".NET Compact Framework" forum.

    Thanks
    Please remember to mark the replies as answers if they help and unmark them if they provide no help.
    Welcome to the All-In-One Code Framework! If you have any feedback, please tell us.
    Friday, July 10, 2009 9:55 AM
  • Hi,

    You query is bit confusing.

    Any way when you connect you connect your device to your desktop and deploy your application from your IDE, It will deploy all the prerequisites( the relevant CAB for that device). You can check this in Debug --> Windows --> Output.

    If you directly pick the CAB and install that, it will not give any warning in installation process.


    Please let me know if my understanding is wrong regarding your query.


    Regards,
    Malleswar
    Friday, July 10, 2009 4:52 PM